import logging

import relaunch_instance.util as util


def rollback(instance, resource, client, kwargs):
    """
    Revert changes made to instance/Ami
    """
    log = logging.getLogger(__name__)
    log.warning("Rolling back changes")

    if (
        "eip" in kwargs and kwargs["eip"]
    ):  # EIP should be associated before reassociating NICS
        util.eip.associate(kwargs["eip"], instance)

    if "name" in kwargs and kwargs["name"]:
        util.instance.rename(instance, kwargs["name"])

    if "ami" in kwargs and kwargs["ami"]:
        util.ami.delete(kwargs["ami"], resource)

    if "is_running" in kwargs and kwargs["is_running"]:
        util.instance.start(instance)

    if "secondary_nics" in kwargs and kwargs["secondary_nics"]:
        for nic in kwargs["secondary_nics"]:
            util.instance.attach_nic(instance, nic, client)

    return 1
